GNU bug report logs - #25076
24.5; Enhancement request: Make `archive-mode' more Dired like (sorting etc.)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Drew Adams <drew.adams@HIDDEN>; dated Wed, 30 Nov 2016 18:37:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 25076 <at> debbugs.gnu.org:


Received: (at 25076) by debbugs.gnu.org; 4 Dec 2016 18:43:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 13:43:54 2016
Received: from localhost ([127.0.0.1]:56171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cDblS-00062H-Bq
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2016 13:43:54 -0500
Received: from sender163-mail.zoho.com ([74.201.84.163]:21469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hong@HIDDEN>) id 1cDblR-000629-91
 for 25076 <at> debbugs.gnu.org; Sun, 04 Dec 2016 13:43:53 -0500
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1480877030209486.9159513881393;
 Sun, 4 Dec 2016 10:43:50 -0800 (PST)
Date: Sun, 04 Dec 2016 10:43:50 -0800
From: Hong Xu <hong@HIDDEN>
To: " 25076 <at> debbugs.gnu.org" <25076 <at> debbugs.gnu.org>
Message-Id: <158cb263b3d.e1f10c9a23693.5994608415970448855@HIDDEN>
In-Reply-To: 
Subject: One possible solution: dired-avfs
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_115010_806548318.1480877030206"
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Zoho-Virus-Status: 2
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 25076
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

------=_Part_115010_806548318.1480877030206
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit

dired-avfs [1] may be one possible solution to avoid full extraction. HTH

[1]: https://github.com/Fuco1/dired-hacks/blob/master/dired-avfs.el
------=_Part_115010_806548318.1480877030206
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"><html><head><meta content="text/html;charset=UTF-8" http-equiv="Content-Type"></head><body >dired-avfs [1] may be one possible solution to avoid full extraction. HTH<br><br>[1]: https://github.com/Fuco1/dired-hacks/blob/master/dired-avfs.el<br><br/><br/></body></html>
------=_Part_115010_806548318.1480877030206--






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25076; Package emacs. Full text available.

Message received at 25076 <at> debbugs.gnu.org:


Received: (at 25076) by debbugs.gnu.org; 2 Dec 2016 16:24:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 02 11:24:19 2016
Received: from localhost ([127.0.0.1]:50534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cCqdH-00013z-Ie
	for submit <at> debbugs.gnu.org; Fri, 02 Dec 2016 11:24:19 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:16524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1cCqdF-00013m-Qk
 for 25076 <at> debbugs.gnu.org; Fri, 02 Dec 2016 11:24:18 -0500
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 uB2GOBIS012524
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 2 Dec 2016 16:24:11 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userv0021.oracle.com (8.14.4/8.14.4) with ESMTP id uB2GOAUh018633
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 2 Dec 2016 16:24:10 GMT
Received: from abhmp0010.oracle.com (abhmp0010.oracle.com [141.146.116.16])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id uB2GO8Kr007090;
 Fri, 2 Dec 2016 16:24:09 GMT
MIME-Version: 1.0
Message-ID: <68a0fdb3-9422-4e85-9778-ab6f12821d93@default>
Date: Fri, 2 Dec 2016 08:24:07 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#25076: 24.5; Enhancement request: Make `archive-mode' more
 Dired like (sorting etc.)
References: <<f8857e59-0d22-4983-925f-b36783cea015@default>>
 <<20161201195707.GA15995@HIDDEN>>
 <<411373d3-f941-492c-ac17-8d1786ed7c58@default>> <<83shq6ol7x.fsf@HIDDEN>>
 <<e46970c9-fa6b-4558-b9eb-85bc5f380e83@default>> <<83bmwumhgc.fsf@HIDDEN>>
In-Reply-To: <<83bmwumhgc.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -5.2 (-----)
X-Debbugs-Envelope-To: 25076
Cc: alan@HIDDEN, 25076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.2 (-----)

> > I think opening Dired on a temporary extraction is probably the
> > way to go.  Do you want to rename this enhancement request to that
> > effect, or do you want a new request for that?
>=20
> No, I think the current request is fine.  Especially since Michael
> suggested a different solution, using file handlers.

OK.

> > Once that is available, a question will be whether, by default,
> > `dired-find-file' and `find-file' should open an archive file in
> > archive mode or should open Dired on (a temporary extraction of)
> > it.
>=20
> Not sure.  Probably should be a user option.

We already have `auto-mode-alist', for customization.  I was talking
about the default behavior.

This is what I see in currently `auto-mode-alist' (in my setup, at
least) for `archive-mode':

("\\.\\(arc\\|zip\\|lzh\\|lha\\|zoo\\|[jew]ar\\|xpi\\|rar\\|7z\\|
ARC\\|ZIP\\|LZH\\|LHA\\|ZOO\\|[JEW]AR\\|XPI\\|RAR\\|7Z\\)\\'"
 . archive-mode)
("\\.oxt\\'" . archive-mode)
("\\.\\(deb\\|[oi]pk\\)\\'" . archive-mode)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25076; Package emacs. Full text available.

Message received at 25076 <at> debbugs.gnu.org:


Received: (at 25076) by debbugs.gnu.org; 2 Dec 2016 16:19:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 02 11:19:48 2016
Received: from localhost ([127.0.0.1]:50520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cCqYt-0000wY-PD
	for submit <at> debbugs.gnu.org; Fri, 02 Dec 2016 11:19:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cCqYs-0000wL-BY
 for 25076 <at> debbugs.gnu.org; Fri, 02 Dec 2016 11:19:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cCqYj-0004ug-7e
 for 25076 <at> debbugs.gnu.org; Fri, 02 Dec 2016 11:19:41 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56243)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cCqYj-0004ub-4A; Fri, 02 Dec 2016 11:19:37 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1827
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cCqYi-0006S1-AB; Fri, 02 Dec 2016 11:19:36 -0500
Date: Fri, 02 Dec 2016 18:19:47 +0200
Message-Id: <83bmwumhgc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <e46970c9-fa6b-4558-b9eb-85bc5f380e83@default> (message from Drew
 Adams on Fri, 2 Dec 2016 08:13:00 -0800 (PST))
Subject: Re: bug#25076: 24.5; Enhancement request: Make `archive-mode' more
 Dired like (sorting etc.)
References: <f8857e59-0d22-4983-925f-b36783cea015@default>
 <20161201195707.GA15995@HIDDEN>
 <411373d3-f941-492c-ac17-8d1786ed7c58@default> <83shq6ol7x.fsf@HIDDEN>
 <e46970c9-fa6b-4558-b9eb-85bc5f380e83@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.9 (-------)
X-Debbugs-Envelope-To: 25076
Cc: alan@HIDDEN, 25076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.9 (-------)

> Date: Fri, 2 Dec 2016 08:13:00 -0800 (PST)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: alan@HIDDEN, 25076 <at> debbugs.gnu.org
> 
> I think opening Dired on a temporary extraction is probably the
> way to go.  Do you want to rename this enhancement request to that
> effect, or do you want a new request for that?

No, I think the current request is fine.  Especially since Michael
suggested a different solution, using file handlers.

> Once that is available, a question will be whether, by default,
> `dired-find-file' and `find-file' should open an archive file in
> archive mode or should open Dired on (a temporary extraction of) it.

Not sure.  Probably should be a user option.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25076; Package emacs. Full text available.

Message received at 25076 <at> debbugs.gnu.org:


Received: (at 25076) by debbugs.gnu.org; 2 Dec 2016 16:13:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 02 11:13:10 2016
Received: from localhost ([127.0.0.1]:50507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cCqSU-0000mD-Bz
	for submit <at> debbugs.gnu.org; Fri, 02 Dec 2016 11:13:10 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:29018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1cCqSS-0000m0-Mp
 for 25076 <at> debbugs.gnu.org; Fri, 02 Dec 2016 11:13:09 -0500
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 uB2GD20u017569
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 2 Dec 2016 16:13:02 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0021.oracle.com (8.14.4/8.14.4) with ESMTP id uB2GD1AZ020645
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 2 Dec 2016 16:13:01 GMT
Received: from abhmp0010.oracle.com (abhmp0010.oracle.com [141.146.116.16])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id uB2GD1Pw017404;
 Fri, 2 Dec 2016 16:13:01 GMT
MIME-Version: 1.0
Message-ID: <e46970c9-fa6b-4558-b9eb-85bc5f380e83@default>
Date: Fri, 2 Dec 2016 08:13:00 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#25076: 24.5; Enhancement request: Make `archive-mode' more
 Dired like (sorting etc.)
References: <f8857e59-0d22-4983-925f-b36783cea015@default>
 <20161201195707.GA15995@HIDDEN>
 <411373d3-f941-492c-ac17-8d1786ed7c58@default> <83shq6ol7x.fsf@HIDDEN>
In-Reply-To: <83shq6ol7x.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -5.2 (-----)
X-Debbugs-Envelope-To: 25076
Cc: alan@HIDDEN, 25076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.2 (-----)

> > > > Subject line says it all.  `archive-mode' still seems pretty
> > > > rudimentary.  It would be good to at least be able to sort the
> > > > lines by file name etc.
> > >
> > > I=E2=80=99m wondering if it wouldn=E2=80=99t be smarter to actually u=
se dired to
> > > access archives, like how we can use dired to access remote
> > > directories through tramp.
> > >
> > > I expect this is probably a much bigger/harder job than I
> > > imagine, but what would be required? Just a function that
> > > could produce ls style output for archives?
> >
> > I can't speak to that question.  I suggest that you file a
> > separate enhancement request for it.  If it turns out that
> > it is trivial then the two bugs can be merged - I don't have
> > any objection to being able to use Dired (completely) for archives.
> >
> > But no, it is not just a question of producing an ls-style
> > listing. The various Dired operations available currently
> > expect a file as target.
>=20
> Then one almost obvious solution is to unpack the archive under
> temporary-file-directory, and invoke Dired on that.

Yes.  And that is what I've done, manually.  I think wrapping
that up so that it happens transparently is probably the best
solution.

> In any case, IMO adding such a feature (which I agree should be
> nice) is out of scope of archive-mode, as it is designed.  Its
> basic design is to show you the archive as it is on disk, with
> no changes.  The file listing you are looking at in archive-mode
> is in most cases a specially-formatted TOC that is recorded in
> the archive.  Changing its order means changing the archive itself,
> which is not what the request wants, AFAIU.

I think you're right.

> So if Dired on a temporary copy is not a good solution for some
> reason, I guess we need a new mode, which will reuse some basic
> capabilities of archive-mode, but otherwise be designed similarly
> to Dired.

I think opening Dired on a temporary extraction is probably the
way to go.  Do you want to rename this enhancement request to that
effect, or do you want a new request for that?

Once that is available, a question will be whether, by default,
`dired-find-file' and `find-file' should open an archive file in
archive mode or should open Dired on (a temporary extraction of) it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25076; Package emacs. Full text available.

Message received at 25076 <at> debbugs.gnu.org:


Received: (at 25076) by debbugs.gnu.org; 2 Dec 2016 08:47:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 02 03:47:28 2016
Received: from localhost ([127.0.0.1]:49462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cCjV9-0005F6-Tk
	for submit <at> debbugs.gnu.org; Fri, 02 Dec 2016 03:47:28 -0500
Received: from mout.gmx.net ([212.227.17.21]:53381)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1cCjV8-0005Es-EI
 for 25076 <at> debbugs.gnu.org; Fri, 02 Dec 2016 03:47:26 -0500
Received: from detlef.gmx.de ([93.209.74.195]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LkCU2-1copTA1Zvu-00c7NJ; Fri, 02
 Dec 2016 09:47:02 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#25076: 24.5;
 Enhancement request: Make `archive-mode' more Dired like (sorting
 etc.)
References: <f8857e59-0d22-4983-925f-b36783cea015@default>
 <20161201195707.GA15995@HIDDEN>
Date: Fri, 02 Dec 2016 09:47:00 +0100
In-Reply-To: <20161201195707.GA15995@HIDDEN> (Alan Third's
 message of "Thu, 1 Dec 2016 19:57:07 +0000")
Message-ID: <87mvgesoor.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:T3Dnl5Yb0mZgWdnLylOQc4146w14wGxrTulJPTmpd8e4/mLwetV
 5lCkM/CSG6oCIBhFJ7tq0T8CMd8iT3XfwFkdcBxmhgn4iH5mvX89hPWiwb8HFOqV4ou40j2
 itwRDt+F9c/2VaiIZci2g3i5gd8jqH3m5h9FYF5iLz+BjSk+0c80FVx+tF3tEfE/2sJZJrn
 mklZSG5r+EiEpcDGA3krQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:6t9OL8pCJqs=:01PdoEiC9/PGY/Kn6mZmI+
 zxpeZ9CcRveYjZGkGidZpgE9H33jlX3NIHn9SwJJFmngYmmeX5pmJJn8MyK3Jod1eyGb75hvZ
 3rQ7beWxp7F9BqrjMYB84eLp+hbv11oIdc+OktM3j0tm9DE0CtmYs+9GX+tfPAcjRV0NLM2eE
 XuO8XIokyVLJHyIKy0KAfxzAKEpaMphrgmpAUJF+4efj3ZFeUfHW4LNMLvvoqVVR77EEbLOxI
 N0R9ouwQoywZ6hSbZUk6+Lqwcg9o+V8T1mP3ePkomtOkSuWtf5YHebhkgZ9GflJe89qjezH7h
 BiLp3fKM5xJcS4Qtb0kqRk2/v6Uy/1V2xht4Wm/mQY0tNu/F9cCz9QnP50jFKK1gkJTXGBITq
 5L0aLacGcEwDpzEFfY6vKyzBhMC3B2yLGHLyxLwNG9lE6WtEI3XsSOTycuVcCAK2LQNbXw5yV
 TY2eOM4nKpR3Xlwz4Zt0qI7UEGwpvks76B+KveoaK/GtvQ+cV/8twuHsJcXEBIR1uAuiB1wef
 LHUI3PFiUt9lHDmG1ibnYKY0QCTjxTgyX1FltO1HCtfT94rkSHjhYcYsf17gI1Jj/bgQzTQr/
 /hwKGlnzJBUdelLJyP5bcJXq7MbBAnnYedCyYdyn6OE05oPEcdiJHh+x68W7yjaHDF3IP3SRK
 KaKhsDgDEm6XWYLaJXvzLC5+haOBO7Jtek7tTcOzzqL5X8wKg5wN596MC06mgPHSUjUbw98lk
 auoy4zT1/YtTtl01PeIAHzVCsx5116l1onU0P/yaxG7NLkek2DxhdPM3NzFb9xslx2/u5QAM9
 qt9ixiu
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25076
Cc: 25076 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Alan Third <alan@HIDDEN> writes:

> On Wed, Nov 30, 2016 at 10:36:08AM -0800, Drew Adams wrote:
>> Subject line says it all.  `archive-mode' still seems pretty
>> rudimentary.  It would be good to at least be able to sort the lines by
>> file name etc.
>
> I=E2=80=99m wondering if it wouldn=E2=80=99t be smarter to actually use d=
ired to
> access archives, like how we can use dired to access remote
> directories through tramp.
>
> I expect this is probably a much bigger/harder job than I imagine, but
> what would be required? Just a function that could produce ls style
> output for archives?

The clean solution would be to add a file name handler for
archives. Several primitive functions need to be implemented; one of
them would be `insert-directory=E2=80=99.

See (info "(elisp) Magic File Names") for the complete list of
functions. Not all of them would require an own implementation, 'tho.

My (always erroneous) memories tell me, that Stefan did propose
something like this years ago. Nobody took the ball.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25076; Package emacs. Full text available.

Message received at 25076 <at> debbugs.gnu.org:


Received: (at 25076) by debbugs.gnu.org; 2 Dec 2016 07:15:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 02 02:15:36 2016
Received: from localhost ([127.0.0.1]:49408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cCi4G-00031q-03
	for submit <at> debbugs.gnu.org; Fri, 02 Dec 2016 02:15:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cCi4E-00031d-K8
 for 25076 <at> debbugs.gnu.org; Fri, 02 Dec 2016 02:15:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cCi44-0003dk-UY
 for 25076 <at> debbugs.gnu.org; Fri, 02 Dec 2016 02:15:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36282)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cCi44-0003dg-RX; Fri, 02 Dec 2016 02:15:24 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1162
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cCi40-0007sU-Fs; Fri, 02 Dec 2016 02:15:21 -0500
Date: Fri, 02 Dec 2016 09:15:30 +0200
Message-Id: <83shq6ol7x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <411373d3-f941-492c-ac17-8d1786ed7c58@default> (message from Drew
 Adams on Thu, 1 Dec 2016 12:14:34 -0800 (PST))
Subject: Re: bug#25076: 24.5;
 Enhancement request: Make `archive-mode' more Dired like (sorting
 etc.)
References: <f8857e59-0d22-4983-925f-b36783cea015@default>
 <20161201195707.GA15995@HIDDEN>
 <411373d3-f941-492c-ac17-8d1786ed7c58@default>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.9 (-------)
X-Debbugs-Envelope-To: 25076
Cc: alan@HIDDEN, 25076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.9 (-------)

> Date: Thu, 1 Dec 2016 12:14:34 -0800 (PST)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: 25076 <at> debbugs.gnu.org
> 
> > > Subject line says it all.  `archive-mode' still seems pretty
> > > rudimentary.  It would be good to at least be able to sort the
> > > lines by file name etc.
> > 
> > I’m wondering if it wouldn’t be smarter to actually use dired to
> > access archives, like how we can use dired to access remote
> > directories through tramp.
> > 
> > I expect this is probably a much bigger/harder job than I imagine,
> > but what would be required? Just a function that could produce ls style
> > output for archives?
> 
> I can't speak to that question.  I suggest that you file a separate
> enhancement request for it.  If it turns out that it is trivial then
> the two bugs can be merged - I don't have any objection to being
> able to use Dired (completely) for archives.
> 
> But no, it is not just a question of producing an ls-style listing.
> The various Dired operations available currently expect a file as
> target.

Then one almost obvious solution is to unpack the archive under
temporary-file-directory, and invoke Dired on that.

In any case, IMO adding such a feature (which I agree should be nice)
is out of scope of archive-mode, as it is designed.  Its basic design
is to show you the archive as it is on disk, with no changes.  The
file listing you are looking at in archive-mode is in most cases a
specially-formatted TOC that is recorded in the archive.  Changing its
order means changing the archive itself, which is not what the request
wants, AFAIU.

So if Dired on a temporary copy is not a good solution for some
reason, I guess we need a new mode, which will reuse some basic
capabilities of archive-mode, but otherwise be designed similarly to
Dired.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25076; Package emacs. Full text available.

Message received at 25076 <at> debbugs.gnu.org:


Received: (at 25076) by debbugs.gnu.org; 1 Dec 2016 20:14:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 01 15:14:45 2016
Received: from localhost ([127.0.0.1]:49124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cCXkj-0002vH-40
	for submit <at> debbugs.gnu.org; Thu, 01 Dec 2016 15:14:45 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:49303)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1cCXki-0002v4-6M
 for 25076 <at> debbugs.gnu.org; Thu, 01 Dec 2016 15:14:44 -0500
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 uB1KEbIg026895
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 1 Dec 2016 20:14:38 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0021.oracle.com (8.13.8/8.14.4) with ESMTP id uB1KEahN018955
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 1 Dec 2016 20:14:37 GMT
Received: from abhmp0008.oracle.com (abhmp0008.oracle.com [141.146.116.14])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id uB1KEavL014081;
 Thu, 1 Dec 2016 20:14:36 GMT
MIME-Version: 1.0
Message-ID: <411373d3-f941-492c-ac17-8d1786ed7c58@default>
Date: Thu, 1 Dec 2016 12:14:34 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: RE: bug#25076: 24.5; Enhancement request: Make `archive-mode' more
 Dired like (sorting etc.)
References: <f8857e59-0d22-4983-925f-b36783cea015@default>
 <20161201195707.GA15995@HIDDEN>
In-Reply-To: <20161201195707.GA15995@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -5.2 (-----)
X-Debbugs-Envelope-To: 25076
Cc: 25076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.2 (-----)

> > Subject line says it all.  `archive-mode' still seems pretty
> > rudimentary.  It would be good to at least be able to sort the
> > lines by file name etc.
>=20
> I=E2=80=99m wondering if it wouldn=E2=80=99t be smarter to actually use d=
ired to
> access archives, like how we can use dired to access remote
> directories through tramp.
>=20
> I expect this is probably a much bigger/harder job than I imagine,
> but what would be required? Just a function that could produce ls style
> output for archives?

I can't speak to that question.  I suggest that you file a separate
enhancement request for it.  If it turns out that it is trivial then
the two bugs can be merged - I don't have any objection to being
able to use Dired (completely) for archives.

But no, it is not just a question of producing an ls-style listing.
The various Dired operations available currently expect a file as
target.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25076; Package emacs. Full text available.

Message received at 25076 <at> debbugs.gnu.org:


Received: (at 25076) by debbugs.gnu.org; 1 Dec 2016 19:57:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 01 14:57:14 2016
Received: from localhost ([127.0.0.1]:49105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cCXTm-0000qh-LS
	for submit <at> debbugs.gnu.org; Thu, 01 Dec 2016 14:57:14 -0500
Received: from mail-wm0-f47.google.com ([74.125.82.47]:35893)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1cCXTl-0000qU-Gx
 for 25076 <at> debbugs.gnu.org; Thu, 01 Dec 2016 14:57:13 -0500
Received: by mail-wm0-f47.google.com with SMTP id g23so310358150wme.1
 for <25076 <at> debbugs.gnu.org>; Thu, 01 Dec 2016 11:57:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=BdpI7TzuEQ9B/2SVpEh5p8v7+zC9MyH3ZTj5nNb6guQ=;
 b=wZyeIy1qZDvKmzFo35hZsLsculgMV0dFSnzoHJv2CGbrfpxTuFMC1bf0K8jpvTbp8D
 p6FrIQd6GbKVaLWEIZ8VOGrcjOcsuo1lonZOK+V4Ui1WrBpOhqXy7EVs10pAIt6/KGg3
 TNkTRQUULHzHVrZz3N/PifkzYwElshDtVZSpk7nztUS7YZFJevf9taBPnYxNd4GrdUeL
 zNBWDzZ/52OeRQdR5yrR8sSjFkq2zG071QnSpIgNBa2fjAjI9vIgSpAEGOGulvNWxlOx
 mMLun8YW/2E0aitD+lKJeSvsjUNS5Ty8JG0s4JYSg42LGD5iJUXz5kyz2lwIv1JpI8KL
 8iog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=BdpI7TzuEQ9B/2SVpEh5p8v7+zC9MyH3ZTj5nNb6guQ=;
 b=bO1JCrV8OTNSc9wX4kS5TItm+yGrBOHrhzEmjXo698n4w/RSe7+hAfNyKLOrXYdqf9
 kjvm1cUUWtyhcLkTBEf6myy9HhbGptUe1+mYgmUvi1qPpWFa90T6Exl2klRxUveBvKgX
 LZ9BsPsw6wqBKcgyREQtAMIIzvhUSJ+kpOP/ci0p4lUVwiNEETKMyiQsv/tdtqTZGQ5z
 040rugzsPL3A6t9/zu/4/KqczaRDDTDzOHZtH9RuA/wR5OVphLnPoTh6ufrZjhY/x62u
 +JQPWfVd4CVF8kYCc0HX8oeBse8z3G6NxCdS5hlMHUZpJuFks1iwoBlDi8QvFlfowx/G
 +ktw==
X-Gm-Message-State: AKaTC02T95U76m7DFrBlWzklZpxyJ+jC+rCER+/KelweYzG1k4IO0HPP5d6leC0MlNs0Pg==
X-Received: by 10.28.185.203 with SMTP id j194mr1706395wmf.73.1480622227622;
 Thu, 01 Dec 2016 11:57:07 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-3c02-5746-2e7d-a01a.holly.idiocy.org.
 [2001:8b0:3f8:8129:3c02:5746:2e7d:a01a])
 by smtp.gmail.com with ESMTPSA id yg1sm1890241wjb.12.2016.12.01.11.57.06
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 01 Dec 2016 11:57:07 -0800 (PST)
Date: Thu, 1 Dec 2016 19:57:07 +0000
From: Alan Third <alan@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#25076: 24.5; Enhancement request: Make `archive-mode' more
 Dired like (sorting etc.)
Message-ID: <20161201195707.GA15995@HIDDEN>
References: <f8857e59-0d22-4983-925f-b36783cea015@default>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <f8857e59-0d22-4983-925f-b36783cea015@default>
User-Agent: Mutt/1.7.1 (2016-10-04)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25076
Cc: 25076 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Wed, Nov 30, 2016 at 10:36:08AM -0800, Drew Adams wrote:
> Subject line says it all.  `archive-mode' still seems pretty
> rudimentary.  It would be good to at least be able to sort the lines by
> file name etc.

I’m wondering if it wouldn’t be smarter to actually use dired to
access archives, like how we can use dired to access remote
directories through tramp.

I expect this is probably a much bigger/harder job than I imagine, but
what would be required? Just a function that could produce ls style
output for archives?
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25076; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Nov 2016 18:36:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 30 13:36:29 2016
Received: from localhost ([127.0.0.1]:47757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cC9k5-0005Qd-Aw
	for submit <at> debbugs.gnu.org; Wed, 30 Nov 2016 13:36:29 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1cC9k4-0005QP-3X
 for submit <at> debbugs.gnu.org; Wed, 30 Nov 2016 13:36:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1cC9jy-0006kG-8U
 for submit <at> debbugs.gnu.org; Wed, 30 Nov 2016 13:36:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39776)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1cC9jy-0006k6-61
 for submit <at> debbugs.gnu.org; Wed, 30 Nov 2016 13:36:22 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37895)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1cC9jx-0003PI-3K
 for bug-gnu-emacs@HIDDEN; Wed, 30 Nov 2016 13:36:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1cC9js-0006gZ-8q
 for bug-gnu-emacs@HIDDEN; Wed, 30 Nov 2016 13:36:21 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:25589)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1cC9js-0006fs-26
 for bug-gnu-emacs@HIDDEN; Wed, 30 Nov 2016 13:36:16 -0500
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 uAUIaArm032653
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 30 Nov 2016 18:36:13 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0021.oracle.com (8.13.8/8.14.4) with ESMTP id uAUIaAMB013045
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 30 Nov 2016 18:36:10 GMT
Received: from abhmp0017.oracle.com (abhmp0017.oracle.com [141.146.116.23])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id uAUIa9jI014303
 for <bug-gnu-emacs@HIDDEN>; Wed, 30 Nov 2016 18:36:09 GMT
MIME-Version: 1.0
Message-ID: <f8857e59-0d22-4983-925f-b36783cea015@default>
Date: Wed, 30 Nov 2016 10:36:08 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.5; Enhancement request: Make `archive-mode' more Dired like
 (sorting etc.)
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 12.0.6753.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Subject line says it all.  `archive-mode' still seems pretty
rudimentary.  It would be good to at least be able to sort the lines by
file name etc.


In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=3D/c/usr --host=3Di686-pc-mingw32'




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25076; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.